require 'sketchup.rb'
require 'extensions.rb'
require 'langhandler.rb'

# @since 2.0.0
module AMS
  # @since 2.0.0
  module Lib

    NAME         = 'AMS Library'.freeze
    VERSION      = '3.4.1'.freeze
    RELEASE_DATE = 'December 17, 2016'.freeze

    # Create the extension.
    @extension = SketchupExtension.new(NAME, 'ams_Lib/main')

    # Attach some nice info.
    @extension.description = "A collection of functions, particularly for interacting with SketchUp window an its subwindows using the Microsoft Windows API. This library is used by a few other extensions and does nothing by itself."
    @extension.version     = VERSION
    @extension.copyright   = 'Anton Synytsia © 2013-2016'
    @extension.creator     = 'Anton Synytsia (anton.synytsia@gmail.com)'

    # Register and load the extension on start-up.
    ::Sketchup.register_extension(@extension, true)

    class << self

      # @!attribute [r] extension
      # Get AMS Library extension.
      # @return [SketchupExtension]
      attr_reader :extension

    end # class << self
  end # module Lib
end # module AMS
